Skip to main content

Fast Funds Eligibility


The BIN Lookup Service retrieves BIN information and fast funds eligibility when processingInformation.payoutOptions.payoutInquiry is set to true in the request. Send a payment card number or token as the payment credential along with the payout inquiry field to receive eligibility information in the response.

Endpoint

POST /bin/v1/binlookup

POST /bin/v1/binlookup

POST /bin/v1/binlookup

Include this fast funds eligibility field in the request for the BIN Lookup Service:

FieldTypeDescription
processingInformation.payoutOptions.payoutInquiryView field reference → Set this field to true to get fast funds eligibility information in the response.

Include one of these payment credential fields in the request:

FieldTypeDescription
paymentInformation.card.numberView field reference → Set this field to the full payment card number (recommended) or network token.
paymentInformation.customer.idView field reference →
paymentInformation.instrumentIdentifier.idView field reference →
paymentInformation.paymentInstrument.idView field reference →
tokenInformation.jtiView field reference →
tokenInformation.transientTokenJwtView field reference →

These fields are optional for a BIN Lookup Service request with fast funds eligibility information:

Optional Fields
FieldTypeDescription
paymentAccountInformation.network.idView field reference →
processingInformation.binSourceView field reference →
processingInformation.payoutOptions.acquirerBinView field reference →
processingInformation.payoutOptions.networkIDView field reference →

Examples

These examples show various BIN Lookup Service requests with fast funds eligibility options enabled and successful responses.

Payment Card with Fast Funds

{  "paymentInformation": {    "card": {      "number": "4XXXXXXXXXXXXXXX"    }  },  "processingInformation": {    "payoutOptions": {      "payoutInquiry": true    }  }}
{  "id": "6590834057836283403955",  "submitTimeUtc": "2022-07-29T08:30:05Z",  "status": "COMPLETED",  "paymentAccountInformation": {    "card": {      "type": "001",      "brandName": "VISA",      "maxLength": "16",      "currency": "AED",      "credentialType": "PAN"    },    "features": {      "accountFundingSource": "DEBIT",      "cardPlatform": "CONSUMER",      "comboCard": "0"    }  },  "issuerInformation": {    "name": "INTL HDQTRS-CENTER OWNED",    "country": "AE",    "accountPrefix": "4111111"  },  "payoutInformation": {    "pushFunds": {      "moneyTransferFastFundsCrossBorder": "Y",      "moneyTransferFastFundsDomestic": "Y",      "moneyTransferCrossBorder": "Y",      "moneyTransferDomestic": "Y",      "nonMoneyTransferFastFundsCrossBorder": "Y",      "nonMoneyTransferFastFundsDomestic": "Y",      "nonMoneyTransferCrossBorder": "Y",      "nonMoneyTransferDomestic": "Y",      "onlineGamblingFastFundsCrossBorder": "Y",      "onlineGamblingFastFundsDomestic": "Y",      "onlineGamblingCrossBorder": "Y",      "onlineGamblingDomestic": "Y"    }  }}

Brazil: Fast Funds Not Eligible

{  "id": "6590834057836283403955",  "submitTimeUtc": "2022-05-19T03:21:03Z",  "status": "COMPLETED",  "paymentAccountInformation": {    "card": {      "type": "001",      "brandName": "VISA",      "maxLength": "16",      "currency": "USD"    },    "features": {      "accountFundingSource": "PREPAID",      "cardPlatform": "CONSUMER",      "cardProduct": "Visa Electron",      "comboCard": "0"    }  },  "issuerInformation": {    "name": "BANCO DO BRASIL S.A.",    "country": "BR",    "phoneNumber": "5555555555",    "binLength": "6",    "accountPrefix": "4111111"  },  "payoutInformation": {    "pushFunds": {      "moneyTransferFastFundsCrossBorder": "N",      "moneyTransferFastFundsDomestic": "N",      "moneyTransferCrossBorder": "Y",      "moneyTransferDomestic": "Y",      "nonMoneyTransferFastFundsCrossBorder": "N",      "nonMoneyTransferFastFundsDomestic": "N",      "nonMoneyTransferCrossBorder": "Y",      "nonMoneyTransferDomestic": "Y",      "onlineGamblingFastFundsCrossBorder": "N",      "onlineGamblingFastFundsDomestic": "N",      "onlineGamblingCrossBorder": "Y",      "onlineGamblingDomestic": "Y"    }  }}

Response Fields

A response for the BIN Lookup Service with fast funds eligibility information can include these response fields:

Response Fields
FieldDescription
idView field reference →
issuerInformation.accountPrefixView field reference →
issuerInformation.binLengthView field reference →
issuerInformation.countryView field reference →
issuerInformation.nameView field reference →
issuerInformation.phoneNumberView field reference →
paymentAccountInformation.card.brandNameView field reference →
paymentAccountInformation.card.brands.brandNameView field reference →
paymentAccountInformation.card.brands.typeView field reference →
paymentAccountInformation.card.currencyView field reference →
paymentAccountInformation.card.maxLengthView field reference →
paymentAccountInformation.card.typeView field reference →
paymentAccountInformation.features.acceptanceLevelView field reference →
paymentAccountInformation.features.accountFundingSourceView field reference →
paymentAccountInformation.features.accountFundingSourceSubTypeView field reference →
paymentAccountInformation.features.cardPlatformView field reference →
paymentAccountInformation.features.cardProductView field reference →
paymentAccountInformation.features.comboCardView field reference →
paymentAccountInformation.features.messageTypeView field reference →
payoutInformation.geoRestrictionIndicatorView field reference →
payoutInformation.pullFunds.crossBorderParticipantView field reference →
payoutInformation.pullFunds.domesticParticipantView field reference →
payoutInformation.pushFunds.crossBorderParticipantView field reference →
payoutInformation.pushFunds.domesticParticipantView field reference →
payoutInformation.pushFunds.moneyTransferCrossBorderView field reference →
payoutInformation.pushFunds.moneyTransferDomesticView field reference →
payoutInformation.pushFunds.moneyTransferFastFundsCrossBorderView field reference →
payoutInformation.pushFunds.moneyTransferFastFundsDomesticView field reference →
payoutInformation.pushFunds.nonMoneyTransferCrossBorderView field reference →
payoutInformation.pushFunds.nonMoneyTransferDomesticView field reference →
payoutInformation.pushFunds.nonMoneyTransferFastFundsCrossBorderView field reference →
payoutInformation.pushFunds.nonMoneyTransferFastFundsDomesticView field reference →
payoutInformation.pushFunds.onlineGamblingCrossBorderView field reference →
payoutInformation.pushFunds.onlineGamblingDomesticView field reference →
payoutInformation.pushFunds.onlineGamblingFastFundsCrossBorderView field reference →
payoutInformation.pushFunds.onlineGamblingFastFundsDomesticView field reference →
statusView field reference →
submitTimeUtcView field reference →

Last published: September 29, 2026